/*
Copyright (C) 2016, Vershinin Ivan
*/

package ru.vershinin.medical.lelmon;

import java.util.ArrayList;
import java.util.List;

public class LelDevice {
    final public String modesAsString[] = {"Заставка", "Меню", "О приборе", "Настройка", "Процедура", "Процедура завершена", "Процедура прервана"};
    public int mode;
    public int version;
    public int preset;
    public int curParam;
    public int curSlot;
    public List<Slot> slots;

    public LelDevice() {
        mode = -1;
        version = -1;
        preset = -1;
        curParam = -1;
        curSlot = -1;
        slots = new ArrayList<Slot>();
        slots.add(new Slot(-1, -1, -1));
        slots.add(new Slot(-1, -1, -1));
        slots.add(new Slot(-1, -1, -1));
        slots.add(new Slot(-1, -1, -1));
    }

    public String modeToString(int _mode) {
        if (_mode >= 0 && _mode <= 6)
            return modesAsString[_mode];
        else
            return "";
    }

    public void setProgNum(int progNum) {
        if (curSlot < 0 || curSlot > 3)
            return;
        else {
            slots.get(curSlot).setProgNum(progNum);
        }
    }

    public void setTime(int time) {
        if (curSlot < 0 || curSlot > 3)
            return;
        else {
            slots.get(curSlot).setCurTime(time);
            if (mode != Constants.PROCEDURE_MODE) // not PROCEDURE_MODE => set predefined time
                slots.get(curSlot).setPreTime(time);
        }
    }

    public void setPwm(int pwm) {
        if (curSlot < 0 || curSlot > 3)
            return;
        else {
            slots.get(curSlot).setPwm(pwm);
        }
    }
}
